#!/usr/bin/env python3

from pgconsole.config import cfg
from pgconsole.app import PgConsoleApp


if __name__ == '__main__':
    try:
        cfg.load('pgconsole.xml.gz')
    except IOError:
        cfg.new('pgconsole.xml.gz')

    try:
        gtkrc = cfg.root.style.gtkrc.text
    except AttributeError:
        pass
    else:
        gtk.rc_parse_string(gtkrc)

    app = PgConsoleApp()
    app.main()

